class BidsController < ApplicationController
  before_filter :require_user, :except=> [:show]

  ## ulozit po skonceni drazby
  
  def new
    @item = Item.find(params[:item_id])
    @bid = Bid.new
    if !(drazba_probiha)
      render :text=>"Dražba skončila, již není možné vkládat další nabídky."
      return
    end
  end
  
  def create
    if !(drazba_probiha)
      render :text=>"Dražba skončila, již není možné vkládat další nabídky."
      return
    end
    @item = Item.find(params[:item_id])
    @bid = Bid.new(params[:bid])
    @bid.item = @item
    @bid.account = current_user

    if (@bid == nil) or (@bid.amount.to_i == 0) or 
      ((@bid.amount.to_i <= 3000) and (@bid.amount.to_i.modulo(100) != 0)) or
      ((@bid.amount.to_i >= 3000) and (@bid.amount.to_i.modulo(500) != 0))
      flash[:error] = "Dražit lze částky jen v celých stokorunách, od 3 tisíc jen po pětisetkorunách."
      redirect_to new_item_bid_path(@item)
    elsif (@item.nejvyssi_nabidka != nil ) and (@bid.amount <= @item.nejvyssi_nabidka.amount)
      flash[:error] = "Musíte dát vyšší nabídku než je současných #{@bid.item.nejvyssi_nabidka.amount} Kč."
      redirect_to new_item_bid_path(@item)
    elsif (@bid.amount < @item.minimalni_nabidka)
      flash[:error] = "Musíte dát nabídku alespoň #{@bid.item.minimalni_nabidka} Kč."
      redirect_to new_item_bid_path(@item)
    else
      if @bid.save
        flash[:notice] = "Nabídka úspěšně vložena."
        redirect_to [@item,@bid]
      else
        render new_item_bid_path(@item,@bid)
      end
    end
  end
  
  def show
    @bid = Bid.find(params[:id])
  end
end
